Bug 150991 - 2 terabyte limit on RAID array Qlogic qla2300 fibre channel
2 terabyte limit on RAID array Qlogic qla2300 fibre channel
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-13 12:31 EST by david schuller
Modified: 2015-01-04 17:17 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-04 09:21:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description david schuller 2005-03-13 12:31:56 EST
Description of problem:
RAID array > 2 terabyte, size reported is incorrect using fdisk or
parted. E.g. 2.3 TB array gets reported as 300 GB.
RAID is attached to QLogic QLA2344 flbre channel card with qla2300
driver module.

Version-Release number of selected component (if applicable):
2.6.10-1.770_FC3

How reproducible:
completely

Steps to Reproduce:
1. Attach RAID array > 2TB
2. Boot
3. Check size with fdisk or parted
  
Actual results:
size reported is 300 GB

Expected results:
size of 2.3 TB

Additional info:
qla2300 module version 8.00.00b21-k
fdisk v2.12a
GNU Parted 1.6.15
Problem also occurs in i386 distribution
Comment 1 Dave Jones 2005-07-15 16:04:44 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 2 Adrian Reber 2005-07-16 02:30:55 EDT
I can confirm this bug on FC4 with 2.6.12-1.1390_FC4smp:

QLogic Fibre Channel HBA Driver
ACPI: PCI Interrupt 0000:02:03.0[A] -> GSI 21 (level, low) -> IRQ 201
qla2300 0000:02:03.0: Found an ISP2300, irq 201, iobase 0xf896c000
qla2300 0000:02:03.0: Configuring PCI space...
qla2300 0000:02:03.0: Configure NVRAM parameters...
qla2300 0000:02:03.0: Verifying loaded RISC code...
qla2300 0000:02:03.0: Waiting for LIP to complete...
qla2300 0000:02:03.0: LIP reset occured (f8f7).
qla2300 0000:02:03.0: LIP occured (f8f7).
qla2300 0000:02:03.0: LOOP UP detected (2 Gbps).
qla2300 0000:02:03.0: Topology - (Loop), Host Loop address 0x0
scsi3 : qla2xxx
qla2300 0000:02:03.0: 
 QLogic Fibre Channel HBA Driver: 8.00.02b5-k
  QLogic QLA2310 - 
  ISP2300: PCI (66 MHz) @ 0000:02:03.0 hdma+, host#=3, fw=3.03.08 IPX
  Vendor: ADVUNI    Model: OXYGENRAID 412F   Rev: 342H
  Type:   Direct-Access                      ANSI SCSI revision: 05
sdd : very big device. try to use READ CAPACITY(16).
SCSI device sdd: 7808880640 512-byte hdwr sectors (3998147 MB)
SCSI device sdd: drive cache: write back
sdd : very big device. try to use READ CAPACITY(16).
SCSI device sdd: 7808880640 512-byte hdwr sectors (3998147 MB)
SCSI device sdd: drive cache: write back
 sdd: unknown partition table

If I start fdisk is asks me to enter the number of cylinders and I choose the
maximum number of cylinders the drive will be 2TB smaller. So instead of having
around 4TB I only get 1.9T. The only sollution was the instead of providing a
4TB disk the RAID does now provide 2 2TB disks and that works:

qla2300 0000:02:03.0: Found an ISP2300, irq 201, iobase 0xf896c000
qla2300 0000:02:03.0: Configuring PCI space...
qla2300 0000:02:03.0: Configure NVRAM parameters...
qla2300 0000:02:03.0: Verifying loaded RISC code...
qla2300 0000:02:03.0: LIP reset occured (f7f7).
qla2300 0000:02:03.0: Waiting for LIP to complete...
qla2300 0000:02:03.0: LIP occured (f7f7).
qla2300 0000:02:03.0: LOOP UP detected (2 Gbps).
qla2300 0000:02:03.0: Topology - (Loop), Host Loop address 0x0
scsi8 : qla2xxx
qla2300 0000:02:03.0: 
 QLogic Fibre Channel HBA Driver: 8.00.02b5-k
  QLogic QLA2310 - 
  ISP2300: PCI (66 MHz) @ 0000:02:03.0 hdma+, host#=8, fw=3.03.08 IPX
  Vendor: ADVUNI    Model: OXYGENRAID 412F   Rev: 342H
  Type:   Direct-Access                      ANSI SCSI revision: 03
SCSI device sdd: 3891200000 512-byte hdwr sectors (1992294 MB)
SCSI device sdd: drive cache: write back
SCSI device sdd: 3891200000 512-byte hdwr sectors (1992294 MB)
SCSI device sdd: drive cache: write back
 sdd: unknown partition table
Attached scsi disk sdd at scsi8, channel 0, id 0, lun 0
  Vendor: ADVUNI    Model: OXYGENRAID 412F   Rev: 342H
  Type:   Direct-Access                      ANSI SCSI revision: 03
SCSI device sde: 3917680640 512-byte hdwr sectors (2005852 MB)
SCSI device sde: drive cache: write back
SCSI device sde: 3917680640 512-byte hdwr sectors (2005852 MB)
SCSI device sde: drive cache: write back
 sde: unknown partition table
Attached scsi disk sde at scsi8, channel 0, id 0, lun 1
Comment 3 Jesse Keating 2005-07-17 14:16:05 EDT
This I do believe may be a driver/firmware limitation on the Q-Logic card.  I
had to switch to an LSI card in order to be able to see greater than 2TB volumes.

You also need to use a gpt disk label on the block device and use parted for
partitioning.  This means you cannot boot from it.  Please see my comment in the
other bug regarding 2TB issues.
Comment 4 Adrian Reber 2005-07-17 17:29:37 EDT
Thanks. That did it for me. Now using a gpt disk label:

/dev/sdf1             3.6T  121M  3.6T   1% /ftp/pub/.3
Comment 5 david schuller 2005-07-19 13:22:50 EDT
The problem persists for me.

I reconfigured the RAID partition to be ~ 2.2 TB (7 drives x 400 GB, RAID5).

 I updated the kernel to 2.6.12-1.1372_FC3 (x86_64)
qla2300 driver is now 8.00.02b5-k

 When I get onto the volume with parted, do a mklabel gpt, I see this:
(parted) print
Disk geometry for /dev/sdb: 0.000-190606.000 megabytes
Disk label type: gpt
Minor    Start       End     Filesystem  Name                  Flags

(parted) mkpart primary 0.0 -0
(parted) print
Disk geometry for /dev/sdb: 0.000-190606.000 megabytes
Disk label type: gpt
Minor    Start       End     Filesystem  Name                  Flags
1          0.017 190605.983

I do _NOT_ see any of these sort of messages reported by Adrian Reber:
sdd : very big device. try to use READ CAPACITY(16).
SCSI device sdd: 7808880640 512-byte hdwr sectors (3998147 MB)

Instead I see this:
Jul 19 12:29:24 kernel: SCSI device sdb: 390361088 512-byte hdwr sectors (199865 MB)

The RAID volume is not the boot disk, so thankfully I do not have that complication.

Past inquiries to QLogic resulted in a "we don't support Fedora".

I have not tried the LSI interface cards.

In comment #4 It seems that Adrian Reber has a >2 TB array working with a QLogic
card. I do not understand what AR may have done differently from me.

Thanks for the effort.
Comment 6 david schuller 2005-07-19 13:32:10 EDT
Here's an odd line in /var/log/messages, don't know if it's relevant:
Jul 19 13:21:19 kernel: program parted is using a deprecated SCSI ioctl, please
convert it to SG_IO
Comment 7 Jesse Keating 2005-07-19 13:33:46 EDT
Have you made a file system on the partition and used df on it?  I told you
parted can't display the size right although it does get it right.
Comment 8 david schuller 2005-07-19 18:16:13 EDT
No I had not made a file system. When I do so now it shows up at just under 2TB,
the size reported by parted, but I have already gone back to the old kernel. 

The new kernel caused much grief. It killed NIS, rpcinfo, outgoing SSH and
browsing, etc. Something to do with portmap, RPC and audit. That's a separate
issue I guess.

> mkfs.xfs /dev/sdb1
meta-data=/dev/sdb1              isize=256    agcount=16, agsize=3049695 blks
         =                       sectsz=512
data     =                       bsize=4096   blocks=48795120, imaxpct=25
         =                       sunit=0      swidth=0 blks, unwritten=1
naming   =version 2              bsize=4096
log      =internal log           bsize=4096   blocks=23825, version=1
         =                       sectsz=512   sunit=0 blks
realtime =none                   extsz=65536  blocks=0, rtextents=0

> df -k
Filesystem           1K-blocks      Used Available Use% Mounted on
/dev/sdb1            195085180       272 195084908   1% /K1a

That's all the testing I can do this week, we're back in production again tomorrow.
Comment 9 Jesse Keating 2005-07-19 18:21:11 EDT
The 'old kernel', is it a 2.4 based kernel?
Comment 10 david schuller 2005-07-20 09:49:22 EDT
This is FC3. I am using kernel 2.6.10-1.770_FC3.
Comment 11 Dave Jones 2006-01-16 17:36:55 EST
This is a mass-update to all currently open Fedora Core 3 kernel bugs.

Fedora Core 3 support has transitioned to the Fedora Legacy project.
Due to the limited resources of this project, typically only
updates for new security issues are released.

As this bug isn't security related, it has been migrated to a
Fedora Core 4 bug.  Please upgrade to this newer release, and
test if this bug is still present there.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

Thank you.
Comment 12 Dave Jones 2006-02-03 01:56:25 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 13 John Thacker 2006-05-04 09:21:46 EDT
Closing per previous comment.

Note You need to log in before you can comment on or make changes to this bug.